package org.jboss.forge.addon.git.gitignore.resources;

import java.io.File;

import org.jboss.forge.addon.resource.Resource;
import org.jboss.forge.addon.resource.ResourceFactory;
import org.jboss.forge.addon.resource.ResourceGenerator;

public class GitIgnoreResourceGenerator implements ResourceGenerator<GitIgnoreResource, File>
{

   @Override
   public boolean handles(Class<?> type, Object resource)
   {
      if (resource instanceof File && ((File) resource).getName().equals(GitIgnoreResource.RESOURCE_NAME)) 
      {
         return true;
      }
      return false;
   }

   @Override
   @SuppressWarnings("unchecked")
   public <T extends Resource<File>> T getResource(ResourceFactory factory, Class<GitIgnoreResource> type, File resource)
   {
      return (T) new GitIgnoreResource(factory);
   }

   @Override
   public <T extends Resource<File>> Class<?> getResourceType(Class<GitIgnoreResource> type, File resource)
   {
      return GitIgnoreResource.class;
   }

}
