package org.jboss.forge.addon.git.ui;

import org.jboss.forge.addon.git.gitignore.resources.GitIgnoreResource;
import org.jboss.forge.addon.projects.ui.AbstractProjectCommand;
import org.jboss.forge.addon.ui.context.UIBuilder;
import org.jboss.forge.addon.ui.context.UIContext;
import org.jboss.forge.addon.ui.util.Categories;
import org.jboss.forge.addon.ui.util.Metadata;

abstract class AbstractGitCommand extends AbstractProjectCommand
{

   @Override
   public Metadata getMetadata()
   {
      return Metadata.forCommand(getClass()).category(Categories.create("GIT"));
   }
   
   @Override
   protected boolean isProjectRequired()
   {
      return true;
   }

   @Override
   public void initializeUI(UIBuilder builder) throws Exception
   {
   }

   protected GitIgnoreResource gitIgnoreResource(UIContext context)
   {
      GitIgnoreResource resource = getSelectedProject(context).getProjectRoot().getChildOfType(GitIgnoreResource.class, ".gitignore");
      if (!resource.exists()) {
         resource.createNewFile();
      }
      return resource;
   }   

   protected boolean isGitIgnoreSelected(UIContext context)
   {
      return context.getSelection() instanceof GitIgnoreResource;
   }

}
